Subject: [TLS] New Version Notification for draft-wouters-tls-oob-pubkey-00.txt (fwd)

From: Paul Wouters <[email-masked]>
Date: Mon, 4 Jul 2011 17:43:48 -0400 (EDT)

I just submitted draft-wouters-tls-oob-pubkey-00.txt which documents a TLS
extension for use when a TLS client has obtained a server's public key (or
keys) out-of-band. It allows the suppression of sending PKIX certificates

This is useful for example when obtaining the TLS server public key
using DANE.

I'd like the WG to consider adopting it as a WG work item.

Paul

---------- Forwarded message ----------
Date: Mon, 04 Jul 2011 14:33:54 -0700
From: [email-masked]
Cc: [email-masked], [email-masked], [email-masked]
To: [email-masked]
Subject: New Version Notification for draft-wouters-tls-oob-pubkey-00.txt

A new version of I-D, draft-wouters-tls-oob-pubkey-00.txt has been successfully submitted by Paul Wouters and posted to the IETF repository.

Filename:	 draft-wouters-tls-oob-pubkey
Revision:	 00
Title:		 TLS Extension for out-of-band public key validation
Creation date:	 2011-07-04
WG ID:		 Individual Submission
Number of pages: 8

Abstract:
    This document specifies a new TLS extension as well as modified TLS
    client and TLS server behaviour when public keys are authenticated
    out-of-band to the current TLS connection.  It is a companion
    document for RFC 5246, &quot;The Transport Layer Security (TLS) Protocol
    Version 1.2&quot;.  The new extension specified is &quot;oob_pubkey_list&quot; which
    can be used when the TLS client is already in possession of a
    validated public key of the TLS server before it starts the TLS
    handshake.

The IETF Secretariat